Page MenuHomePhabricator

Browser test fails with "old revisions do not have an edit link" blocking merges in Minerva skin
Closed, ResolvedPublic

Description

e.g. https://integration.wikimedia.org/ci/job/wmf-quibble-core-vendor-mysql-hhvm-docker/18210/console

10:28:41 [chrome #0-13] Spec: /workspace/src/extensions/Wikibase/repo/tests/selenium/specs/blocked.js
10:28:41 [chrome #0-13] Running: chrome
10:28:41 [chrome #0-13]
10:28:41 [chrome #0-13]   blocked user cannot use
10:28:41 [chrome #0-13]
10:28:41 [chrome #0-13]   blocked user cannot use
10:28:41 [chrome #0-13]       ✓ Special:SetLabel
10:28:41 [chrome #0-13]       ✓ Special:SetDescription
10:28:41 [chrome #0-13]       ✓ Special:SetAliases
10:28:41 [chrome #0-13]       ✓ Special:SetLabelDescriptionAliases
10:28:41 [chrome #0-13]       ✓ Special:SetSiteLink
10:28:41 [chrome #0-13]       ✓ Special:NewItem
10:28:41 [chrome #0-13]       ✓ Special:NewProperty
10:28:41 [chrome #0-13]       ✓ Special:MergeItems
10:28:41 [chrome #0-13]       ✓ Special:RedirectEntity
10:28:41 [chrome #0-13]
10:28:41 [chrome #0-13]
10:28:41 [chrome #0-13] 9 passing (13s)
10:28:41 [chrome #0-13]
10:28:41 
10:28:56 
10:28:56 	Video location: /workspace/log/item-can-add-a-statement-using-the-keyboard.mp4 
10:28:56 
10:28:56 	ffmpeg exited with code 255 /workspace/log/item-can-add-a-statement-using-the-keyboard.mp4
10:29:01 
10:29:01 	Screenshot location: /workspace/log/item-old-revisions-do-not-have-an-edit-link.png 
10:29:01 
10:29:01 
10:29:01 	Video location: /workspace/log/item-old-revisions-do-not-have-an-edit-link.mp4 
10:29:01 
10:29:01 	ffmpeg exited with code 255 /workspace/log/item-old-revisions-do-not-have-an-edit-link.mp4
10:29:01 ------------------------------------------------------------------
10:29:01 [chrome #0-14] Session ID: a0a07bda10d3f2e40faa8b08861aa2a8
10:29:01 [chrome #0-14] Spec: /workspace/src/extensions/Wikibase/repo/tests/selenium/specs/item.js
10:29:01 [chrome #0-14] Running: chrome
10:29:01 [chrome #0-14]
10:29:01 [chrome #0-14]   item
10:29:01 [chrome #0-14]
10:29:01 [chrome #0-14]   item
10:29:01 [chrome #0-14]       ✓ can add a statement using the keyboard
10:29:01 [chrome #0-14]       1) old revisions do not have an edit link
10:29:01 [chrome #0-14]
10:29:01 [chrome #0-14]
10:29:01 [chrome #0-14] 1 passing (19s)
10:29:01 [chrome #0-14] 1 failing
10:29:01 [chrome #0-14]
10:29:01 [chrome #0-14] 1) item old revisions do not have an edit link:
10:29:01 [chrome #0-14] An element could not be located on the page using the given search parameters (".after .mw-changeslist-date").
10:29:01 [chrome #0-14] Error: An element could not be located on the page using the given search parameters (".after .mw-changeslist-date").
10:29:01 [chrome #0-14]     at click() - index.js:312:3
10:29:01 [chrome #0-14]
10:29:01 
10:29:05 
10:29:05 	Video location: /workspace/log/WikibaseRepoNonExistingItemPage-edit-tab-does-should-not-be-there.mp4 
10:29:05 
10:29:05 	ffmpeg exited with code 255 /workspace/log/WikibaseRepoNonExistingItemPage-edit-tab-does-should-not-be-there.mp4
10:29:06 ------------------------------------------------------------------
10:29:06 [chrome #0-15] Session ID: 41bc3936f0c2acdbe082291ad1cbfcd3
10:29:06 [chrome #0-15] Spec: /workspace/src/extensions/Wikibase/repo/tests/selenium/specs/nonexisting.item.js
10:29:06 [chrome #0-15] Running: chrome
10:29:06 [chrome #0-15]
10:29:06 [chrome #0-15]   WikibaseRepoNonExistingItemPage
10:29:06 [chrome #0-15]
10:29:06 [chrome #0-15]   WikibaseRepoNonExistingItemPage
10:29:06 [chrome #0-15]       ✓ edit tab does should not be there
10:29:06 [chrome #0-15]       ✓ the title should match
10:29:06 [chrome #0-15]
10:29:06 [chrome #0-15]

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterSkip selenium test failing on CI

Event Timeline

Jdlrobson created this task.Jul 2 2019, 5:53 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 2 2019, 5:53 PM

Looks like this was introduced by https://gerrit.wikimedia.org/r/519976 during T95406. In the video it looks like, when trying to navigate to the previous revision through the history page, it fails to find what is called the REVISION_DATE_LINK.

Change 520711 had a related patch set uploaded (by Noa wmde; owner: Noa wmde):
[mediawiki/extensions/Wikibase@master] disable selenium test failing on CI

https://gerrit.wikimedia.org/r/520711

noarave added a subscriber: noarave.EditedJul 4 2019, 9:44 AM

@Jdlrobson this test will be skipped till we've figured out what's going on there. Thanks for the heads up!

Change 520711 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Skip selenium test failing on CI

https://gerrit.wikimedia.org/r/520711

Krinkle raised the priority of this task from High to Unbreak Now!.EditedAug 6 2019, 5:51 PM
Krinkle added a subscriber: Krinkle.

Seen again at https://gerrit.wikimedia.org/r/#/c/mediawiki/extensions/AbuseFilter/+/489273/

------------------------------------------------------------------
18:47:58 [chrome #0-1] Session ID: d08c86d9c16b12ad2f7fafe487c8d03d
18:47:58 [chrome #0-1] Spec: /workspace/src/extensions/Wikibase/repo/tests/selenium/specs/item.js
18:47:58 [chrome #0-1] Running: chrome
18:47:58 [chrome #0-1]
18:47:58 [chrome #0-1] item
18:47:58 [chrome #0-1]   1) can add a statement using the keyboard
18:47:58 [chrome #0-1]   !! old revisions do not have an edit link
18:47:58 [chrome #0-1]
18:47:58 [chrome #0-1]
18:47:58 [chrome #0-1] 1 pending (18s)
18:47:58 [chrome #0-1] 1 failing
18:47:58 [chrome #0-1]
18:47:58 [chrome #0-1] 1) item can add a statement using the keyboard:
18:47:58 [chrome #0-1] Promise was rejected with the following reason: timeout
18:47:58 [chrome #0-1] Error: Promise was rejected with the following reason: timeout
18:47:58 [chrome #0-1]     at elementIdAttribute("0.5096468622485197-10", "aria-disabled") - getAttribute.js:43:55
18:47:58 [chrome #0-1]

Please disable the test and investigate later if there is no obvious solution to making this test pass reliably and quickly.

Restricted Application added a subscriber: Liuxinyu970226. · View Herald TranscriptAug 6 2019, 5:51 PM

This has also blocked an important patch https://gerrit.wikimedia.org/r/527649 which was supposed to go out on this week's train :(

alaa_wmde lowered the priority of this task from Unbreak Now! to Normal.Aug 7 2019, 8:31 AM
alaa_wmde added a subscriber: alaa_wmde.

The mentioned patch has been merged and it failed "only" once due to flakiness in that test. We have a few tests that are still a bit flaky.

Currently, we are skipping/ignoring any browser tests that proves to be flaky to an unacceptable degree (maybe 1 out of 10 or so), to avoid skipping many browser tests and risk not having their cases tested (some of test cases of course might not require browser tests to begin with, which we will also look into).

Since the failure mentioned in T227121#5396996 is not failing all that often, I'm lowering the priority for this and look into it a little more before we skip the test.

alaa_wmde closed this task as Resolved.Aug 13 2019, 9:45 AM
alaa_wmde claimed this task.

The test has been skipped in T227266: Find out why 'old revisions do not have edit links' selenium test is flaky on CI is being checked for improvements on its flakiness. This task serves no more purpose beyond this point, apart from documenting the same error we are aware of already.

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:06 PM